<?php
include "header.inc.php";

/*

Syntax:
- alles klein schreiben.
- die Renderengine muss als _3DL, _Iray oder _Fila hinten dran hängen. Genau in dieser Schreibweise. Nicht nötig bei obj, da diese neutral sind.
- keine Umlaute
- Unterstrich statt Bindestrich
- ausschließlich jpg-Dateien

Syntax:
- All lower case
- The rendering engine must be attached to the back as _3dl, _iray or _fila
- no mutated vowels (language specific letters)
- Underscore instead of hyphen
- jpg - files only

*/


#pre($_REQUEST);

foreach (glob($suche, GLOB_BRACE) as $datei)
{
	if (!$suchwort)
	{
		// wenn die ganze Auswahl leer ist, alles anzeigen.
		// Es gibt auch obj, die nicht in obiges Schema passen.

		if (!$iray && !$threedl && !$fila && !$obj && !$dae && !$fbx)
			$files_temp[] = $datei;

		if (( stripos($datei, "iray") !== false) && ($iray == "j"))
			$files_temp[] = $datei;

		if (( stripos($datei, "_3dl") !== false) && ($threedl == "j"))
			$files_temp[] = $datei;

		/* if (( stripos($datei, "_fila") !== false) && ($fila == "j"))
			$files_temp[] = $datei; */

		if (( stripos($datei, "_obj") !== false) && ($obj == "j"))
			$files_temp[] = $datei;

		if (( stripos($datei, "_dae") !== false) && ($dae == "j"))
			$files_temp[] = $datei;

		if (( stripos($datei, "_fbx") !== false) && ($fbx == "j"))
			$files_temp[] = $datei;

	}
	else
	{
		if (( stripos($datei, $suchwort) !== false) && ($iray != "j") && ($threedl != "j") && ($fila != "j") && ($obj != "j") && ($dae != "j") && ($fbx != "j"))
			$files_temp[] = $datei;

		if (( stripos($datei, $suchwort) !== false) && (stripos($datei, "iray") !== false) && ($iray == "j") )
			$files_temp[] = $datei;

		if (( stripos($datei, $suchwort) !== false) && (stripos($datei, "_3dl") !== false) && ($threedl == "j"))
			$files_temp[] = $datei;

		/* if (( stripos($datei, $suchwort) !== false) && (stripos($datei, "_fila") !== false) && ($fila == "j"))
			$files_temp[] = $datei; */

		if (( stripos($datei, $suchwort) !== false) && (stripos($datei, "_obj") !== false) && ($obj == "j"))
			$files_temp[] = $datei;

		if (( stripos($datei, $suchwort) !== false) && (stripos($datei, "_dae") !== false) && ($dae == "j"))
			$files_temp[] = $datei;

		if (( stripos($datei, $suchwort) !== false) && (stripos($datei, "_fbx") !== false) && ($fbx == "j"))
			$files_temp[] = $datei;
	}
}

$files = array_unique($files_temp);
$files_temp = array(); // aus Speicherplatzgründen löschen

#pre($files);

$c = count($files);
$seiten = (int) ($c / $spalten / $zeilen);
if ($seiten != ($c / $spalten / $zeilen)) $seiten++ ; // falls nicht aufgeht, 1 dazu zählen.
$page = $_REQUEST['page']; //aktuelle Seite vom Link her.
if (!$page) $page = 1;

?> Suche: <form method="get" style="display:inline" name="f">
<input type="text" size="25" name="suchwort" id="suchwort" value="<?php echo $suchwort?>" />
<input type="button" onclick="document.f.suchwort.value=''; document.f.threedl.checked=false; document.f.iray.checked=false; document.f.fila.checked=false; document.f.obj.checked=false; document.f.dae.checked=false; document.f.fbx.checked=false;" value=" löschen " />
&nbsp;&nbsp;
<?php
// Blättern
if ($page > 1)
{
	?>
	<input type="button" value = "  <  " onClick="location.href='<?php echo $_SERVER['PHP_SELF']?>?page=<?php echo ($page-1);?>&suchwort=<?php echo $suchwort?>&iray=<?php echo $iray?>&threedl=<?php echo $threedl?>&fila=<?php echo $fila?>&obj=<?php echo $obj?>&dae=<?php echo $dae?>&fbx=<?php echo $fbx?>&sp=<?php echo $sp?>'" />
	<?php
}

if ($page < $seiten)
{
	echo "&nbsp;\n";
	?>
	<input type="button" value = "  >  " onClick="location.href='<?php echo $_SERVER['PHP_SELF']?>?page=<?php echo ($page+1);?>&suchwort=<?php echo $suchwort?>&iray=<?php echo $iray?>&threedl=<?php echo $threedl?>&fila=<?php echo $fila?>&obj=<?php echo $obj?>&dae=<?php echo $dae?>&fbx=<?php echo $fbx?>&sp=<?php echo $sp?>'" />
	<?php
}
?>
&nbsp;&nbsp;<input type="checkbox" name="threedl" value="j" <?php if ($threedl == "j") echo " checked='checked'";?> /> 3DL &nbsp;&nbsp;
<input type="checkbox" name="iray" value="j" <?php if ($iray == "j") echo " checked='checked'";?> /> Iray &nbsp;&nbsp;
<!-- input type="checkbox" name="fila" value="j" <?php if ($fila == "j") echo " checked='checked'";?> /> Filament &nbsp;&nbsp; -->
<input type="checkbox" name="obj" value="j" <?php if ($obj == "j") echo " checked='checked'";?> /> Obj &nbsp;&nbsp;
<input type="checkbox" name="dae" value="j" <?php if ($dae == "j") echo " checked='checked'";?> /> Dae &nbsp;&nbsp;
<input type="checkbox" name="fbx" value="j" <?php if ($fbx == "j") echo " checked='checked'";?> /> Fbx

&nbsp;&nbsp; Spalten: <input type="text" size="2" name="sp" value="<?php echo $sp;?>" /> &nbsp;&nbsp;

<select id="sel" size="1" onChange="document.f.suchwort.value = document.getElementById('sel').value;">
   <option value=""></option>
   <option value="alley">Alley</option>
   <option value="apart">Apartment</option>
   <option value="arena">Arena</option>
   <option value="bar_">Bar</option>
   <option value="base_">Base</option>
   <option value="beach">Beach</option>
   <option value="bridge">Bridge</option>
   <option value="cafe">Cafe</option>
   <option value="camp">Camp</option>
   <option value="castle">Castle</option>
   <option value="cave">Cave</option>
   <option value="city">City</option>
   <option value="court">Court</option>
   <option value="cyber">Cyber</option>
   <option value="desert">Desert</option>
   <option value="dungeon">Dungeon</option>
   <option value="factory">Factory</option>
   <option value="fantasy">Fantasy</option>
   <option value="fitness">Fitness</option>
   <option value="forest">Forest</option>
   <option value="ground">Ground</option>
   <option value="gym">Gym</option>
   <option value="hall">Hall</option>
   <option value="home">Home</option>
   <option value="house">House</option>
   <option value="hut">Hut/Hütte</option>
   <option value="industr">Industrial</option>
   <option value="jail">Jail -&gt;Prison</option>
   <option value="jungle">Jungle</option>
   <option value="kit_">Kit</option>
   <option value="medieval">Medieval</option>
   <option value="modular">Modular</option>
   <option value="office">Office</option>
   <option value="park">Park</option>
   <option value="prison">Prison</option>
   <option value="river">River</option>
   <option value="room">Room</option>
   <option value="ruin">Ruins</option>
   <option value="scifi">Scifi</option>
   <option value="steam">Steam</option>
   <option value="street">Street</option>
   <option value="subway">Subway</option>
   <option value="tower">Tower</option>
   <option value="town">Town</option>
   <option value="tunnel">Tunnel</option>
   <option value="under">Under</option>
   <option value="urban">Urban</option>
   <option value="water">Water</option>
   <option value="western">Western</option>
   <option value="wood">Wood</option>
   <option value="wreck">Wreck</option>
</select>
&nbsp;&nbsp;<input type="submit" value=" Do it! " />
</form>
<br />

<div class="table">
<?php
$von = $page * $spalten * $zeilen - $spalten * $zeilen;
for ($i = ($von); $i<($page * $spalten * $zeilen); $i++)
{
	if ($z % $spalten == 0)
	{
		   echo "<div class=\"tr\">\n";
		   $z = 0;
	}

	#echo "<br />page: ".$page.", i: ".$i.", file: ".$files[$i];

	?>
	<div class="td"><?php
	$fi = $files[$i];
	if ($fi)
	{
		?>
		<a href="<?php echo $fi?>" target="_blank"><img src="<?php echo $fi?>" width="336" border="0"></a><br /><?php
		$pos = stripos($fi, ".jpg");
		if ($pos > 1) { $fi = substr($fi, 0, $pos); }

		$fontsize=10;
		if (strlen($fi)>42) $fontsize = 9;
		if (strlen($fi)>44) $fontsize = 8;
		if (strlen($fi)>46) $fontsize = 7;
		if (strlen($fi)>48) $fontsize = 6;

		echo "<span style=\"font-size:".$fontsize."pt\">";
		echo $fi;
		echo "</span>";
	}
	?>
	</div>
	<?php

	if ($z % $spalten == ($spalten-1))
		echo "</div>\n";  // zählt von 0-4 = 5

	$z++;
}

if ($z % $spalten) echo "</div>\n";

?>
</div>
<br /><br />
</main>
<?php
include "menue_senkrecht.inc.php";
?>
</body>
</html>
